#include <iostream>
using namespace std;

int main(){
    int n,q;
    cin>>n;
    int x[n],pom[n];
    for(int i=0;i<n;i++) cin>>x[i];
    cin>>q;
    int l[q],r[q];
    for(int i=0;i<q;i++){
         cin>>l[i];
         cin>>r[i];
    }
    pom[0]=0;
    for(int i=1;i<n;i++){
        pom[i]=pom[i-1];
        if(x[i-1]>x[i]) pom[i]=pom[i-1]+1;
    }
    for(int i=0;i<q;i++){
        if(pom[r[i]-1]-pom[l[i]-1]>1) cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
}